local VERSION = tonumber(("$Revision: 42445 $"):match("%d+"))

Parrot = AceLibrary("AceAddon-2.0"):new("AceDB-2.0", "AceEvent-2.0", "AceConsole-2.0", "FuBarPlugin-2.0", "Parser-3.0", "AceModuleCore-2.0")
local Parrot, self = Parrot, Parrot
Parrot.version = "r" .. VERSION
Parrot.revision = VERSION
Parrot.date = ("$Date: 2007-07-01 20:37:14 -0400 (Sun, 01 Jul 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")

local waterfall = AceLibrary:HasInstance("Waterfall-1.0") and AceLibrary("Waterfall-1.0")

local _G = _G

local localeTables = {}
function Parrot:L(name)
	if not localeTables[name] then
		localeTables[name] = setmetatable({}, {__index = function(self, key)
			self[key] = key
			return key
		end})
	end
	return localeTables[name]
end

local L = Parrot:L("Parrot")

Parrot:RegisterDB("ParrotDB")
Parrot:RegisterDefaults('profile', {
})

-- FuBar configuration
Parrot.hasIcon = [[Interface\Icons\Spell_Nature_ForceOfNature]]
Parrot.hideWithoutStandby = true
Parrot.defaultPosition = "MINIMAP"
Parrot.defaultMinimapPosition = 250
Parrot.hasNoText = true
Parrot.hasNoColor = true
Parrot.cannotDetachTooltip = true
Parrot.independentProfile = true
Parrot.blizzardTooltip = true

function Parrot:OnInitialize()
	self:RegisterChatCommand('/Parrot', '/Cow', {
		type = 'execute',
		func = function()
			self:OpenMenu()
		end
	})
end

function Parrot:OnEnable()
end

function Parrot:OnDisable()
end

function Parrot:OnClick()
	if waterfall then
		waterfall:Open("Parrot")
	else
		self:Print(L["Waterfall-1.0 is required to access the GUI."])
	end
end

Parrot.options = {
	type = 'group',
	handler = Parrot,
	args = {
	}
}

if waterfall then
	waterfall:Register("Parrot", 
						"aceOptions", Parrot.options,
						"title", L["Parrot Configuration"],
						"treeLevels", 5);
end

Parrot.OnMenuRequest = Parrot.options

function Parrot:OnTooltipUpdate()
	GameTooltip:AddLine("Parrot")
	GameTooltip:AddLine(" ")
	if waterfall then
		GameTooltip:AddLine(L["|cffffff00Left-Click|r to change settings with a nice GUI configuration."], 0.2, 1, 0.2)
	end
	GameTooltip:AddLine(L["|cffffff00Right-Click|r to change settings with a drop-down menu."], 0.2, 1, 0.2)
end
